Subject: [bug#36952] [PATCH v2] machine: Implement 'roll-back-machine'.

From: [email-masked] (Jakob L. Kreuze)
Date: Thu, 08 Aug 2019 16:16:35 -0400

Hi Ricardo,

Ricardo Wurmus <[email-masked]> writes:

> Can we use “relative-generation” or “previous-generation-number” here?
> I think the stringified “-1” is kinda ugly, and the “*-spec” procedure
> only exists to handle user input, which is provided as a string.

Oh yeah, definitely. I used '*-spec' here because I was using 'guix
system' as a model -- didn't know it was meant for handling user input.

> Is it on purpose that you aren’t using the previously defined “eval”
> here?

Whoops! Unused variable, nice catch!

Thanks for the review!

Regards,
Jakob